<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.finance.mapper.ConfirmOrderMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="confirmOrderResultMap" type="org.springblade.modules.finance.entity.ConfirmOrder">
        <result column="id" property="id"/>
        <result column="create_user_id" property="createUserId"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user_id" property="updateUserId"/>
        <result column="update_time" property="updateTime"/>
        <result column="is_delete" property="isDelete"/>
        <result column="order_id" property="orderId"/>
        <result column="pickup_code" property="pickupCode"/>
    </resultMap>


    <select id="selectConfirmOrderPage" resultMap="confirmOrderResultMap">
        select * from t_confirm_order where is_delete = 0
    </select>

</mapper>
